[check_cpanel_rpms] Altered RPMs found on host - need help please

gangsta1

Registered
Oct 29, 2012
2
0
1
cPanel Access Level
Website Owner
Hi,

I received this email and need help to solve please:

[check_cpanel_rpms] Altered RPMs found on host

Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param
 

NetCaptive

Member
Dec 16, 2011
11
0
51
cPanel Access Level
Root Administrator
Possibly related, my /tmp was full. I think my 512mb /tmp filled up running the update. I cleared it out and ran /scripts/upcp then /usr/local/cpanel/scripts/check_cpanel_rpms and i'm not getting the error anymore.
 

bioxnet

Registered
Jul 24, 2008
3
0
51
Hi, i just got an email like that:

Problems were detected with cPanel-provided files which are RPM controlled.
If you did not make these changes intentionally, you can correct them by running:

/usr/local/cpanel/scripts/check_cpanel_rpms --fix

The following RPMs are found to be altered from their original install state:
courier-imap,4.11.0,1.cp1136,/usr/lib/courier-imap/bin/couriertls

thanks for your avice.
 

mpkapadia

Active Member
Apr 10, 2002
41
0
306
I got this same mail today with following reported rpms
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/imap-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/pop3-login
dovecot,1.2.17,2.cp1136,/usr/libexec/dovecot/ssl-build-param

THere was no issue on my /tmp folder. Wanted to know what caused this and if its actually recommended to run the script that cpanel is suggesting on the email.

Can a tech from CP throw some light . Many users getting same error at same time cannot be coincidence.
 

grodde

Registered
Nov 4, 2010
3
0
51
Same email message here - would be nice to have a Cpanel rep. shed some light on this..
 

cPanelKenneth

cPanel Development
Staff member
Apr 7, 2006
4,608
77
308
cPanel Access Level
Root Administrator
Often this is caused by the prelinking utility. Prelinking, when installed and enabled, optimizes binaries. This optimization often happens after an RPM updates. The optimization causes binaries to no longer match when an RPM provides, which in turn causes check_cpanel_rpms to think the RPM needs reinstalled.

We are working on a solution that should be in the next update.
 

darrencain

Member
Aug 3, 2011
23
0
51
England ( EU )
cPanel Access Level
Root Administrator
I got this email, then i ran the

> /usr/local/cpanel/scripts/check_cpanel_rpms --fix


Now i get error 500 on any site what requires a Sql database to run.

How can i fix this ?


----- UPDATE -

Okey for anyone else who got an error 500 then follow this to fix it.
It worked for me.


1. Login to your WHM

2. Goto: Home »Software »MySQL Upgrade

3. Re-install the one you was on either ( MySQL 5.0, MySQL 5.1 or MySQL 5.5 )

In my case MySQL 5.5


4. follow the on screen instructions.
 
Last edited: